<?xml version="1.0" encoding="utf-8"?>
<!-- edited with XMLSpy v2016 rel. 2 sp1 (x64) (http://www.altova.com) by PostNL IT (PostNL Holding B.V.) -->
<!--
major/ minor versie:	0.1
datum creatie:			26-04-2017
datum productie:		
gemaakt door			Nelleke van der Meer
doelgroep					LSP
Toelichting			    kopie van TransportOrder2; vergeleken met CustomerOrder1 + nieuwste inzichten verwerkt uit oa. CDM3.0, LDM product

  	
     -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:co2="urn:postnl/mail/components/2" xmlns="urn:postnl/mail/CustomerOrderTransport" xmlns:co1="urn:postnl/mail/components/1" xmlns:me1="urn:postnl/mail/meta/1" xmlns:fi1="urn:postnl/mail/fields1" xmlns:co3="urn:postnl/mail/components/3" xmlns:co4="urn:postnl/mail/components/4" targetNamespace="urn:postnl/mail/CustomerOrderTransport" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="urn:postnl/mail/components/1" schemaLocation="../../Common/OAGI/Components/Components1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/components/2" schemaLocation="../../Common/OAGI/Components/Components2.xsd"/>
	<xsd:import namespace="urn:postnl/mail/components/3" schemaLocation="../../Common/OAGI/Components/Components3.xsd"/>
	<xsd:import namespace="urn:postnl/mail/components/4" schemaLocation="../../Common/OAGI/Components/Components4.xsd"/>
	<xsd:import namespace="urn:postnl/mail/meta/1" schemaLocation="../../Common/OAGI/Components/Meta1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/fields1" schemaLocation="../../Common/OAGI/Components/Fields1.xsd"/>
	<xsd:element name="CustomerOrderTransport" type="CustomerOrderTransportType">
		<xsd:annotation>
			<xsd:documentation>Opdracht tot het versturen en ontvangen van zendingen. 
TUSSEN WELKE PARTIJEN WORDT DIT BERICHT UITGEWISSELD. iS DAT CONSISTENT MET DE PARTIES IN DE HEADER?????</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="CustomerOrderTransportType">
		<xsd:sequence>
			<xsd:element name="CustomerOrderHeader" type="CustomerOrderHeaderType" minOccurs="0"/>
			<xsd:element name="CustomerOrderLine" type="CustomerOrderLineType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>An OrderLine of the CustomerOrderTransport is the samen as the transport consignment: A class to describe an identifiable collection of one or more goods items to be transported between the consignor and the consignee.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="CustomerOrderHeaderType">
		<xsd:complexContent>
			<xsd:extension base="co1:StatusEnabledHeaderType">
				<xsd:sequence>
					<xsd:element ref="co2:ConsumerParty" minOccurs="0"/>
					<xsd:element ref="co2:ProviderParty" minOccurs="0"/>
					<xsd:element ref="co2:BillToParty" minOccurs="0"/>
					<xsd:element ref="fi1:OrderUrgencyCode" minOccurs="0"/>
					<xsd:element ref="co1:ContractsReferences" minOccurs="0" maxOccurs="unbounded"/>
					<xsd:element ref="fi1:TotalInvoiceAmount" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="CustomerOrderLineType">
		<xsd:sequence>
			<xsd:element ref="fi1:ID" minOccurs="0"/>
			<xsd:element ref="fi1:ConsigneeAssignedID" minOccurs="0"/>
			<xsd:element ref="fi1:ConsignorAssignedID" minOccurs="0"/>
			<xsd:element ref="fi1:CarrierAssignedID" minOccurs="0"/>
			<xsd:element ref="co2:ConsigneeParty" minOccurs="0"/>
			<xsd:element ref="co2:ConsignorParty" minOccurs="0"/>
			<xsd:element ref="co2:ReturnToParty" minOccurs="0"/>
			<xsd:element ref="co2:NotifyingParty" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co2:FinalDeliveryParty" minOccurs="0"/>
			<xsd:element ref="co2:CarrierParty" minOccurs="0"/>
			<xsd:element ref="fi1:ReceiverPartyType" minOccurs="0"/>
			<xsd:element ref="co4:Party" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:CommunicationLanguage" minOccurs="0"/>
			<xsd:element ref="co1:SalesOrderReference" minOccurs="0"/>
			<xsd:element ref="co2:CommercialProduct" minOccurs="0"/>
			<xsd:element ref="co1:LSPOldProduct" minOccurs="0"/>
			<xsd:element ref="co2:TransportInformation" minOccurs="0"/>
			<xsd:element ref="fi1:ConsignmentInformation" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:AgreementSchedule" minOccurs="0"/>
			<xsd:element name="DropOffTransportEvent" type="co3:TransportEventType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>The delivery of this consignment by the party responsible for providing the transportation service (the transport service provider).</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="PickUpTransportEvent" type="co3:TransportEventType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>The pickup of this consignment by the party responsible for providing the transportation service (the transport service provider).</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element ref="co1:DeliveryTerms" minOccurs="0"/>
			<xsd:element ref="co1:ConsignmentType" minOccurs="0"/>
			<xsd:element ref="co1:AllowanceChargeServiceProvider" minOccurs="0"/>
			<xsd:element ref="co4:TransportHandlingUnit" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>A class to describe a uniquely identifiable unit consisting of one or more packages, goods items, or pieces of transport equipment, as requested to be handled by the Transport User.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element ref="fi1:WaybillRemarks" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:CarrierServiceInstructions" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:SpecialServiceInstructions" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>
